Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractClassLoaderMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
              org.jboss.beans.metadata.plugins.AbstractClassLoaderMetaData

All Implemented Interfaces:
  ClassLoaderMetaData, Cloneable, FeatureMetaData, org.jboss.util.JBossInterface, MetaDataVisitorNode

public class AbstractClassLoaderMetaData
extends AbstractFeatureMetaData
implements ClassLoaderMetaData

A classloader.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock

Field Summary
`protected ValueMetaData` | `classloader` The classloader

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
`annotations, description`

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractClassLoaderMetaData()` Create a new classloader
`AbstractClassLoaderMetaData(ValueMetaData classloader)` Create a new classloader

Method Summary
`Iterator` | `getChildren()` Return the child nodes
`ValueMetaData` | `getClassLoader()` Get the classloader
`void` | `setClassLoader(ValueMetaData classloader)` Set the classloader
`void` | `toShortString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `visit(MetaDataVisitor visitor)` Visit the node

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
`getAnnotations, getDescription, setAnnotations, setDescription`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.beans.metadata.spi.FeatureMetaData
`getAnnotations, getDescription`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Field Detail

### classloader

    protected ValueMetaData classloader

  The classloader

Constructor Detail

### AbstractClassLoaderMetaData

    public AbstractClassLoaderMetaData()

  Create a new classloader

### AbstractClassLoaderMetaData

    public AbstractClassLoaderMetaData(ValueMetaData classloader)

  Create a new classloader

Parameters:
  `classloader` - the classloader value

Method Detail

### setClassLoader

    public void setClassLoader(ValueMetaData classloader)

  Set the classloader

  Parameters:
    `classloader` - the classloader value

### getClassLoader

    public ValueMetaData getClassLoader()

  Description copied from interface: `ClassLoaderMetaData`
  Get the classloader

  Specified by:
    `getClassLoader` in interface `ClassLoaderMetaData`
  Returns:
    the classloader

### visit

    public void visit(MetaDataVisitor visitor)

  Description copied from interface: `MetaDataVisitorNode`
  Visit the node

  Specified by:
    `visit` in interface `MetaDataVisitorNode`
  Overrides:
    `visit` in class `AbstractFeatureMetaData`

### getChildren

    public Iterator getChildren()

  Description copied from interface: `MetaDataVisitorNode`
  Return the child nodes

  Specified by:
    `getChildren` in interface `MetaDataVisitorNode`
  Overrides:
    `getChildren` in class `AbstractFeatureMetaData`

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

  Overrides:
    `toString` in class `AbstractFeatureMetaData`

### toShortString

    public void toShortString(org.jboss.util.JBossStringBuilder buffer)

  Specified by:
    `toShortString` in interface `org.jboss.util.JBossInterface`
  Overrides:
    `toShortString` in class `AbstractFeatureMetaData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.